package com.ruoyi.ss.transactionBill.service;

import com.ruoyi.ss.transactionBill.domain.vo.TransactionBillVO;

import java.util.List;

/**
 * @author wjh
 * 2024/5/5
 */
public interface TransactionAssembler {

    /**
     * 拼接渠道名称
     * @param list
     */
    void assembleChannelName(List<TransactionBillVO> list);

    /**
     * 拼接套餐剩余时长/度数
     */
    void assembleSuitSurplus(List<TransactionBillVO> list);

    /**
     * 拼接分成信息
     */
    void assembleBonusList(TransactionBillVO bill);

    /**
     * 拼接分成信息
     * @param list
     */
    void assembleBonusList(List<TransactionBillVO> list);

    /**
     * 拼接总用电量、时长
     * @param list
     */
    void assembleTotalUse(List<TransactionBillVO> list);

    /**
     * 处理用户的手机号
     * @param list
     */
    void handleMchUserMobile(List<TransactionBillVO> list);

    /**
     * 拼接操作权限
     */
    void assembleOperator(List<TransactionBillVO> list, Long userId);
}
